<html>
	<body bgcolor="#FFFFFF" oncontextmenu="return false" ondragstart="return false" onselectstart="return false" onselect="document.selection.empty()" oncopy="document.selection.empty()" onbeforecopy="return false">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<?php

		if (!Tourists ()){ header('Location: ./'); exit; }
		define ('Intercept_Post_r_sid',false);
		define ('Intercept_Post_sid',false);

		echo '共有 <font color="red">'.$_SESSION['qqnum'].'</font> 个QQ, 添加成功 <font color="red">'.$_SESSION['truenum'].'</font> 个, 添加失败 <font color="red">'.$_SESSION['falsenum'].'</font> 个, 未添加 <font color="red">'.($_SESSION['qqnum'] - $_SESSION['jobnum']).'</font> 个! ';

		if ($_SESSION['qqnum'] > $_SESSION['jobnum']){

			echo '正在为您添加第 <font color="red">'.($_SESSION['jobnum'] + 1).'</font> 个QQ, QQ号码: <font color="red">'.$qq.'</font><br><hr><br>';

			require './Source/class/addqq.class.php';

			$AnYue_Addqq = new AnYue_Addqq ($_SESSION['AnYue_QQ_'.$_SESSION['jobnum']],$_SESSION['AnYue_PW_'.$_SESSION['jobnum']],@$_POST['code']);

			$info = $AnYue_Addqq -> Job ();
			if ($info == '系统提示: 挂Q记录添加成功.'){
				$_SESSION['truenum']++;
				header('refresh:5;url=./index.php?act=batch_do');
				$info .= '5秒后跳转!';
			}else{
				if (strpos ($info,'验证码')){
					$info .= '20秒后跳转!';
					header('refresh:20;url=./index.php?act=batch_do');
				}else{
					$_SESSION['falsenum']++;
				}
			}


			$_SESSION['jobnum']++;

			echo $info;

		}else{
			echo '已经全部添加完成!!!<br><hr><br>请关闭此窗口!';
		}			
	?>
	</body>
</html>